package JIRA::API::Avatar 0.01;
# DO NOT EDIT! This is an autogenerated file.
use 5.020;
use Moo 2;
use experimental 'signatures';
use Types::Standard qw(Str Bool Num Int Object ArrayRef);
use MooX::TypeTiny;

=head1 NAME

JIRA::API::Avatar -

=head1 SYNOPSIS

  my $obj = JIRA::API::Avatar->new();
  ...

=cut

sub as_hash( $self ) {
    return { $self->%* }
}

=head1 PROPERTIES

=head2 C<< fileName >>

The file name of the avatar icon. Returned for system avatars.

=cut

has 'fileName' => (
    is       => 'ro',
    isa      => Str,
);

=head2 C<< id >>

The ID of the avatar.

=cut

has 'id' => (
    is       => 'ro',
    isa      => Str,
    required => 1,
);

=head2 C<< isDeletable >>

Whether the avatar can be deleted.

=cut

has 'isDeletable' => (
    is       => 'ro',
);

=head2 C<< isSelected >>

Whether the avatar is used in Jira. For example, shown as a project's avatar.

=cut

has 'isSelected' => (
    is       => 'ro',
);

=head2 C<< isSystemAvatar >>

Whether the avatar is a system avatar.

=cut

has 'isSystemAvatar' => (
    is       => 'ro',
);

=head2 C<< owner >>

The owner of the avatar. For a system avatar the owner is null (and nothing is returned). For non-system avatars this is the appropriate identifier, such as the ID for a project or the account ID for a user.

=cut

has 'owner' => (
    is       => 'ro',
    isa      => Str,
);

=head2 C<< urls >>

The list of avatar icon URLs.

=cut

has 'urls' => (
    is       => 'ro',
    isa      => Object,
);


1;
