package JIRA::API::IssueTypeCreateBean 0.01;
# DO NOT EDIT! This is an autogenerated file.
use 5.020;
use Moo 2;
use experimental 'signatures';
use Types::Standard qw(Str Bool Num Int Object ArrayRef);
use MooX::TypeTiny;

=head1 NAME

JIRA::API::IssueTypeCreateBean -

=head1 SYNOPSIS

  my $obj = JIRA::API::IssueTypeCreateBean->new();
  ...

=cut

sub as_hash( $self ) {
    return { $self->%* }
}

=head1 PROPERTIES

=head2 C<< description >>

The description of the issue type.

=cut

has 'description' => (
    is       => 'ro',
    isa      => Str,
);

=head2 C<< hierarchyLevel >>

The hierarchy level of the issue type. Use:

 *  `-1` for Subtask.
 *  `0` for Base.

Defaults to `0`.

=cut

has 'hierarchyLevel' => (
    is       => 'ro',
    isa      => Int,
);

=head2 C<< name >>

The unique name for the issue type. The maximum length is 60 characters.

=cut

has 'name' => (
    is       => 'ro',
    isa      => Str,
    required => 1,
);

=head2 C<< type >>

Deprecated. Use `hierarchyLevel` instead. See the [deprecation notice](https://community.developer.atlassian.com/t/deprecation-of-the-epic-link-parent-link-and-other-related-fields-in-rest-apis-and-webhooks/54048) for details.

Whether the issue type is `subtype` or `standard`. Defaults to `standard`.

=cut

has 'type' => (
    is       => 'ro',
    isa      => Str,
);


1;
