package JIRA::API::PermissionScheme 0.01;
# DO NOT EDIT! This is an autogenerated file.
use 5.020;
use Moo 2;
use experimental 'signatures';
use Types::Standard qw(Str Bool Num Int Object ArrayRef);
use MooX::TypeTiny;

=head1 NAME

JIRA::API::PermissionScheme -

=head1 SYNOPSIS

  my $obj = JIRA::API::PermissionScheme->new();
  ...

=cut

sub as_hash( $self ) {
    return { $self->%* }
}

=head1 PROPERTIES

=head2 C<< description >>

A description for the permission scheme.

=cut

has 'description' => (
    is       => 'ro',
    isa      => Str,
);

=head2 C<< expand >>

The expand options available for the permission scheme.

=cut

has 'expand' => (
    is       => 'ro',
    isa      => Str,
);

=head2 C<< id >>

The ID of the permission scheme.

=cut

has 'id' => (
    is       => 'ro',
    isa      => Int,
);

=head2 C<< name >>

The name of the permission scheme. Must be unique.

=cut

has 'name' => (
    is       => 'ro',
    isa      => Str,
    required => 1,
);

=head2 C<< permissions >>

The permission scheme to create or update. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more information.

=cut

has 'permissions' => (
    is       => 'ro',
    isa      => ArrayRef[Object],
);

=head2 C<< scope >>

The scope of the permission scheme.

=cut

has 'scope' => (
    is       => 'ro',
);

=head2 C<< self >>

The URL of the permission scheme.

=cut

has 'self' => (
    is       => 'ro',
    isa      => Str,
);


1;
